package be.iminds.ilabt.jfed.rspec.model.impl;

import be.iminds.ilabt.jfed.rspec.model.GeantTestbedType;

/**
 * User: twalcari
 * Date: 5/22/2015
 * Time: 10:38
 */
public class BasicGeantTestbedType implements GeantTestbedType {
    private String name;
    private String dsl;

    private double editorX;
    private double editorY;

   // private final Map<String, RspecInterfaceBinding> portBindings = new HashMap<String, RspecInterfaceBinding>();

    public BasicGeantTestbedType() {
    }

    public BasicGeantTestbedType(String name) {
        this.name = name;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String getDsl() {
        return dsl;
    }

    @Override
    public void setDsl(String dsl) {
        this.dsl = dsl;
    }

    @Override
    public double getEditorX() {
        return editorX;
    }

    @Override
    public void setEditorX(double editorX) {
        this.editorX = editorX;
    }

    @Override
    public double getEditorY() {
        return editorY;
    }

    @Override
    public void setEditorY(double editorY) {
        this.editorY = editorY;
    }

//    @Override
//    public Map<String, RspecInterfaceBinding> getPortBindings() {
//        return portBindings;
//    }
//
//    @Override
//    public void setPortBindings(Map<String, RspecInterfaceBinding> portBindings) {
//        this.portBindings.keySet().retainAll(portBindings.keySet());
//        this.portBindings.putAll(portBindings);
//    }


}
